* {
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
}

html,
body {
  height: 100%;
}

body {
  display: flex;
  align-items: center;
  padding-top: 40px;
  padding-bottom: 40px;
  background-color: #f5f5f5;
}

.form-signin {
  width: 100%;
  max-width: 330px;
  padding: 15px;
  margin: auto;
}

.form-signin .checkbox {
  font-weight: 400;
}

.form-signin .form-floating:focus-within {
  z-index: 2;
}

.form-signin input[type="email"] {
  margin-top: 25px;
  margin-bottom: -1px;
  border-bottom-right-radius: 0;
  border-bottom-left-radius: 0;
}

.form-signin input[type="password"] {
  margin-bottom: 50px;
  border-top-left-radius: 0;
  border-top-right-radius: 0;
}

.form-signin .buttons {
    text-align: center;
}

.form-signin .btn-hover {
    width: 95%;
    font-size: 16px;
    font-weight: 600;
    color: #fff;
    cursor: pointer;
    height: 45px;
    text-align:center;
    border: none;
    background-size: 300% 100%;

    border-radius: 50px;
    moz-transition: all .4s ease-in-out;
    -o-transition: all .4s ease-in-out;
    -webkit-transition: all .4s ease-in-out;
    transition: all .4s ease-in-out;
}

.form-signin .btn-hover:hover {
    background-position: 100% 0;
    moz-transition: all .4s ease-in-out;
    -o-transition: all .4s ease-in-out;
    -webkit-transition: all .4s ease-in-out;
    transition: all .4s ease-in-out;
}

.form-signin .btn-hover:focus {
    outline: none;
}

.form-signin .btn-hover.color-4 {
    background-image: linear-gradient(to right, #fc6076, #ff9a44, #ef9d43, #e75516);
    box-shadow: 0 4px 15px 0 rgba(252, 104, 110, 0.75);
}

.btn-hover.color-8 {
  font-size: 18px;
  background: linear-gradient(-45deg, #29323c, #485563, #7F7B74, #525B56);
  background-size: 400% 400%;
  animation: gradient 15s ease infinite;

  /*background-image: linear-gradient(to right, #29323c, #485563, #5B5649, #525B56);*/
  box-shadow: 0 4px 15px 0 rgba(45, 54, 65, 0.75);
}

.btn-hover.color-81 {
  background: linear-gradient(-45deg, #29323c, #485563, #7F7B74, #525B56);
  background-size: 400% 400%;
  animation: gradient 15s ease infinite;
  margin-top: 35px;
  margin-bottom: 45px;

  /*background-image: linear-gradient(to right, #29323c, #485563, #5B5649, #525B56);*/
  box-shadow: 0 4px 15px 0 rgba(45, 54, 65, 0.75);
}

@keyframes gradient {
  0% {
    background-position: 0% 50%;
  }
  50% {
    background-position: 100% 50%;
  }
  100% {
    background-position: 0% 50%;
  }
}

.form-signin .form-control.pass_text {
    margin-bottom: -1px;
}

.form-signin .form-control.pass_text_last {
    margin-bottom: 40px;
}

.form-signin .error{
  text-align: center;
  margin-top: -30px;
  margin-bottom: 15px;
  color: #FF563F;
}

.form-signin .error2{
  text-align: center;
  margin-top: 20px;
  margin-bottom: -10px;
  color: #FF563F;
}

.form-signin .error3{
  text-align: center;
  margin-top: -20px;
  margin-bottom: 20px;
  color: #FF563F;
}

.form-signin .reminder{
  margin-top: 25px;
}

.form-signin a{
  color: #84776B;
}

/*.form-signin .link_back{
  color: #84776B;
}*/
